org.opencv.aruco

## Class Dictionary

- java.lang.Object
- - org.opencv.aruco.Dictionary

-     public class Dictionary
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Dictionary(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Dictionary` | `__fromPtr__(long addr)`
    `static Dictionary` | `create_from(int nMarkers, int markerSize, Dictionary baseDictionary)`
    `static Dictionary` | `create(int nMarkers, int markerSize)`
    `void` | `drawMarker(int id, int sidePixels, Mat _img)`
    `void` | `drawMarker(int id, int sidePixels, Mat _img, int borderBits)`
    `protected void` | `finalize()`
    `Mat` | `get_bytesList()`
    `int` | `get_markerSize()`
    `int` | `get_maxCorrectionBits()`
    `static Dictionary` | `get(int dict)`
    `static Mat` | `getBitsFromByteList(Mat byteList, int markerSize)`
    `static Mat` | `getByteListFromBits(Mat bits)`
    `long` | `getNativeObjAddr()`
    `void` | `set_bytesList(Mat bytesList)`
    `void` | `set_markerSize(int markerSize)`
    `void` | `set_maxCorrectionBits(int maxCorrectionBits)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### Dictionary

          protected Dictionary(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static Dictionary __fromPtr__(long addr)

    - #### getBitsFromByteList

          public static Mat getBitsFromByteList(Mat byteList,
                                                int markerSize)

    - #### getByteListFromBits

          public static Mat getByteListFromBits(Mat bits)

    - #### create_from

          public static Dictionary create_from(int nMarkers,
                                               int markerSize,
                                               Dictionary baseDictionary)

    - #### create

          public static Dictionary create(int nMarkers,
                                          int markerSize)

    - #### get

          public static Dictionary get(int dict)

    - #### drawMarker

          public void drawMarker(int id,
                                 int sidePixels,
                                 Mat _img,
                                 int borderBits)

    - #### drawMarker

          public void drawMarker(int id,
                                 int sidePixels,
                                 Mat _img)

    - #### get_bytesList

          public Mat get_bytesList()

    - #### set_bytesList

          public void set_bytesList(Mat bytesList)

    - #### get_markerSize

          public int get_markerSize()

    - #### set_markerSize

          public void set_markerSize(int markerSize)

    - #### get_maxCorrectionBits

          public int get_maxCorrectionBits()

    - #### set_maxCorrectionBits

          public void set_maxCorrectionBits(int maxCorrectionBits)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1